org.apache.ode.bpel.engine.extvar

## Class ExternalVariableManager

- java.lang.Object
- - org.apache.ode.bpel.engine.extvar.ExternalVariableManager

-     public class ExternalVariableManager
      extends java.lang.Object

  Manager for external variable instances; used by `BpelProcess` to manage external variables.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExternalVariableManager(javax.xml.namespace.QName pid, ExternalVariableConf evconf, java.util.Map<javax.xml.namespace.QName,ExternalVariableModule> engines, OProcess oprocess)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExternalVariableModule.Value` | `read(OScope.Variable variable, org.w3c.dom.Node reference, java.lang.Long iid)` Read an external variable.
    `ExternalVariableModule.Value` | `write(OScope.Variable variable, org.w3c.dom.Node reference, org.w3c.dom.Node val, java.lang.Long iid)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExternalVariableManager

          public ExternalVariableManager(javax.xml.namespace.QName pid,
                                 ExternalVariableConf evconf,
                                 java.util.Map<javax.xml.namespace.QName,ExternalVariableModule> engines,
                                 OProcess oprocess)
                                  throws BpelEngineException

      Throws:
        `BpelEngineException`

  - ### Method Detail

    - #### read

          public ExternalVariableModule.Value read(OScope.Variable variable,
                                          org.w3c.dom.Node reference,
                                          java.lang.Long iid)
                                            throws ExternalVariableModuleException

      Read an external variable.
      Throws:
        `ExternalVariableModuleException`

    - #### write

          public ExternalVariableModule.Value write(OScope.Variable variable,
                                           org.w3c.dom.Node reference,
                                           org.w3c.dom.Node val,
                                           java.lang.Long iid)
                                             throws ExternalVariableModuleException

      Throws:
        `ExternalVariableModuleException`